Bug 678 - zserver does not run
: zserver does not run
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/Zope-ZServer)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-03-02 10:28 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-03-02 10:28:29
с python21, включенным через alternatives, вылетает с ошибкой:
Mar  2 13:28:13 localhost Zope[6441]: New disk product detected, determining if
we need to fix up any ZClasses.
Mar  2 13:28:13 localhost z2[6441]: Startup exception : error: (91, \'Protocol
wrong type for socket\') 
с python22:
/usr/lib/python2.2/FCNTL.py:7: DeprecationWarning: the FCNTL module is
deprecated; please use fcntl
  DeprecationWarning)
Traceback (most recent call last):
  File \"z2.py\", line 540, in ?
    import ZServer
  File \"/usr/share/zope/ZServer/__init__.py\", line 138, in ?
    from HTTPServer import zhttp_server, zhttp_handler
  File \"/usr/share/zope/ZServer/HTTPServer.py\", line 116, in ?
    from PubCore import handle
  File \"/usr/share/zope/ZServer/PubCore/__init__.py\", line 86, in ?
    import ZRendezvous
  File \"/usr/share/zope/ZServer/PubCore/ZRendezvous.py\", line 87,
in ?
    from ZServerPublisher import ZServerPublisher
  File \"/usr/share/zope/ZServer/PubCore/ZServerPublisher.py\", line
85, in ?
    from ZPublisher import publish_module
ImportError: No module named ZPublisher

---

---
# rpm -qa | grep Zope
Zope-2.4.1-alt2
Zope-zserver-2.4.1-alt2
------- Comment #1 From 2002-03-18 22:47:21 -------
Попробуйте свежие пакеты Zope
------- Comment #2 From 2002-03-18 22:47:21 -------
Попробуйте свежие пакеты Zope
------- Comment #3 From 2004-05-24 14:54:15 -------
на мантейнера 
 
------- Comment #4 From 2004-06-02 14:33:27 -------
Zope 2.4.1 & python2.1 - дела давно минувших дней. Поставьте нвые версии и не 
мучайтесь.